package cn.edu.whu.boot.collection.domain;

import java.io.Serializable;

/**
 * Description：
 * Author：CXJ
 * Date： 2019-04-27 12:29
 * Remark：
 */
public class MultimediaItem implements Serializable{

    private static final long serialVersionUID = 6456781405975280523L;

    private long mediaID;//多媒体ID
    private long ID;//多媒体对应的父表ID
    private String file;//文件名
    private float azimuth;//方向角
    private int satellites;//卫星数
    private double longitude;//经度
    private double latitude;//纬度
    private double altitude;//海拔
    private float accuracy;//精度
    private float cameraAngle;//摄像头方向角
    private float cameraPitch;//摄像头俯仰角
    private float cameraRoll;//摄像头俯仰角
    private String method;//定位方式
    private String time;//拍摄时间
    private float focalLength;//焦距
    private int type;//多媒体类型
    private String mediaPath;

    private String mediaTableName;
    private int version;

    public long getMediaID()
    {
        return mediaID;
    }

    public void setMediaID(long mediaID)
    {
        this.mediaID = mediaID;
    }

    public long getID()
    {
        return ID;
    }

    public void setID(long ID)
    {
        this.ID = ID;
    }

    public String getFile()
    {
        return file;
    }

    public void setFile(String file)
    {
        this.file = file;
    }

    public float getAzimuth()
    {
        return azimuth;
    }

    public void setAzimuth(float azimuth)
    {
        this.azimuth = azimuth;
    }

    public int getSatellites()
    {
        return satellites;
    }

    public void setSatellites(int satellites)
    {
        this.satellites = satellites;
    }

    public double getLongitude()
    {
        return longitude;
    }

    public void setLongitude(double longitude)
    {
        this.longitude = longitude;
    }

    public double getLatitude()
    {
        return latitude;
    }

    public void setLatitude(double latitude)
    {
        this.latitude = latitude;
    }

    public double getAltitude()
    {
        return altitude;
    }

    public void setAltitude(double altitude)
    {
        this.altitude = altitude;
    }

    public float getAccuracy()
    {
        return accuracy;
    }

    public void setAccuracy(float accuracy)
    {
        this.accuracy = accuracy;
    }

    public float getCameraAngle()
    {
        return cameraAngle;
    }

    public void setCameraAngle(float cameraAngle)
    {
        this.cameraAngle = cameraAngle;
    }

    public float getCameraPitch()
    {
        return cameraPitch;
    }

    public void setCameraPitch(float cameraPitch)
    {
        this.cameraPitch = cameraPitch;
    }

    public float getCameraRoll()
    {
        return cameraRoll;
    }

    public void setCameraRoll(float cameraRoll)
    {
        this.cameraRoll = cameraRoll;
    }

    public String getMethod()
    {
        return method;
    }

    public void setMethod(String method)
    {
        this.method = method;
    }

    public String getTime()
    {
        return time;
    }

    public void setTime(String time)
    {
        this.time = time;
    }

    public float getFocalLength()
    {
        return focalLength;
    }

    public void setFocalLength(float focalLength)
    {
        this.focalLength = focalLength;
    }

    public int getType()
    {
        return type;
    }

    public void setType(int type)
    {
        this.type = type;
    }

    public String getMediaPath()
    {
        return mediaPath;
    }

    public void setMediaPath(String mediaPath)
    {
        this.mediaPath = mediaPath;
    }

    public String getMediaTableName()
    {
        return mediaTableName;
    }

    public void setMediaTableName(String mediaTableName)
    {
        this.mediaTableName = mediaTableName;
    }

    public int getVersion()
    {
        return version;
    }

    public void setVersion(int version)
    {
        this.version = version;
    }
}
